Package org.eclipse.net4j.db.ddl.delta

## Interface IDBDelta

- All Superinterfaces:
    `java.lang.Comparable<IDBDelta>`, `org.eclipse.net4j.util.container.IContainer<IDBDelta>`, `IDBElement`, `IDBNamedElement`, `org.eclipse.net4j.util.event.INotifier`
  All Known Subinterfaces:
    `IDBDeltaWithPosition`, `IDBDeltaWithProperties`, `IDBFieldDelta`, `IDBIndexDelta`, `IDBIndexFieldDelta`, `IDBPropertyDelta<T>`, `IDBSchemaDelta`, `IDBTableDelta`

      public interface IDBDelta
      extends IDBNamedElement, org.eclipse.net4j.util.container.IContainer<IDBDelta>, java.lang.Comparable<IDBDelta>

  Since:
    4.2
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IDBDelta.ChangeKind` |
    `static class` | `IDBDelta.DeltaType` |

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `org.eclipse.net4j.util.container.IContainer.Modifiable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `accept​(IDBDeltaVisitor visitor)` |
    `IDBDelta.ChangeKind` | `getChangeKind()` |
    `IDBDelta.DeltaType` | `getDeltaType()` |
    `IDBDelta` | `getParent()` |
    `IDBSchemaElement` | `getSchemaElement​(IDBSchema schema)` |

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

      `getProperties`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBNamedElement

      `getName`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### getDeltaType

          IDBDelta.DeltaType getDeltaType()

    - #### getParent

          IDBDelta getParent()

    - #### getChangeKind

          IDBDelta.ChangeKind getChangeKind()

    - #### accept

          void accept​(IDBDeltaVisitor visitor)

    - #### getSchemaElement

          IDBSchemaElement getSchemaElement​(IDBSchema schema)